// 下水データ管理システム
// Copyright (C) 2018 公益財団法人とちぎ建設技術センター(https://www.tochigictc.or.jp/)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.If not, see<http://www.gnu.org/licenses/>.

using System;
using System.Drawing;
using System.Windows.Forms;

namespace WindowsFormsApplication1 {
    public partial class Form4About : Form {
        public Form4About() {
            InitializeComponent();
            richTextBox1.LanguageOption = RichTextBoxLanguageOptions.UIFonts;
            richTextBox2.LanguageOption = RichTextBoxLanguageOptions.UIFonts;

            label2.Text = "バージョン　" + ThisProgramConfig.version;
        }




        //リッチテキストボックス内リンククリックイベント
        private void richTextBox1_LinkClicked(object sender, LinkClickedEventArgs e) {
            System.Diagnostics.Process.Start(e.LinkText);
            label1.Focus();
        }

        
        
        
        //リンクラベルクリックイベント
        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
            System.Diagnostics.Process.Start(linkLabel1.Text);
        }




        //閉じるボタンクリック
        private void button1_Click(object sender, EventArgs e) {
            this.Close();
        }
    }
}
